begin
  reset(input, 'cake.in');
  rewrite(output, 'cake.out');
  read(r);
  for i := 1 to 4 do begin
    read(x[i], y[i]);
    a[i] := arctan2(y[i], x[i]);
  end;
  for i := 1 to 4 do begin
    
  end;
end.